package com.sw.mes.yb.pc.service;


import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.pc.dto.TrayUnbindingDto;
import com.sw.mes.yb.pc.entity.TrayBindingRecord;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface TrayBindingRecordService extends BaseService<TrayBindingRecord> {
    List<TrayBindingRecord> findByCodeAndStatus(String code, Integer status);
    List<TrayBindingRecord> findBySectionNoAndStatus(String sectionNo, Integer status);

    void trayUnbinding(TrayUnbindingDto trayUnbindingDto);
}
